/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

namespace Apache.Ignite.Core.Binary
{
    /// <summary>
    /// Binary type name constants.
    /// </summary>
    public static class BinaryTypeNames
    {
        /** Type name: boolean. */
        public const string TypeNameBool = "boolean";

        /** Type name: byte. */
        public const string TypeNameByte = "byte";

        /** Type name: short. */
        public const string TypeNameShort = "short";

        /** Type name: char. */
        public const string TypeNameChar = "char";

        /** Type name: int. */
        public const string TypeNameInt = "int";

        /** Type name: long. */
        public const string TypeNameLong = "long";

        /** Type name: float. */
        public const string TypeNameFloat = "float";

        /** Type name: double. */
        public const string TypeNameDouble = "double";

        /** Type name: decimal. */
        public const string TypeNameDecimal = "decimal";

        /** Type name: String. */
        public const string TypeNameString = "String";

        /** Type name: UUID. */
        public const string TypeNameGuid = "UUID";

        /** Type name: date. */
        public const string TypeNameDate = "Date";

        /** Type name: timestamp. */
        public const string TypeNameTimestamp = "Timestamp";

        /** Type name: Enum. */
        public const string TypeNameEnum = "Enum";

        /** Type name: Object. */
        public const string TypeNameObject = "Object";

        /** Type name: boolean array. */
        public const string TypeNameArrayBool = "boolean[]";

        /** Type name: byte array. */
        public const string TypeNameArrayByte = "byte[]";

        /** Type name: short array. */
        public const string TypeNameArrayShort = "short[]";

        /** Type name: char array. */
        public const string TypeNameArrayChar = "char[]";

        /** Type name: int array. */
        public const string TypeNameArrayInt = "int[]";

        /** Type name: long array. */
        public const string TypeNameArrayLong = "long[]";

        /** Type name: float array. */
        public const string TypeNameArrayFloat = "float[]";

        /** Type name: double array. */
        public const string TypeNameArrayDouble = "double[]";

        /** Type name: decimal array. */
        public const string TypeNameArrayDecimal = "decimal[]";

        /** Type name: String array. */
        public const string TypeNameArrayString = "String[]";

        /** Type name: UUID array. */
        public const string TypeNameArrayGuid = "UUID[]";

        /** Type name: timestamp array. */
        public const string TypeNameArrayDate = "Date[]";

        /** Type name: timestamp array. */
        public const string TypeNameArrayTimestamp = "Timestamp[]";

        /** Type name: Enum array. */
        public const string TypeNameArrayEnum = "Enum[]";

        /** Type name: Object array. */
        public const string TypeNameArrayObject = "Object[]";

        /** Type name: Collection. */
        public const string TypeNameCollection = "Collection";

        /** Type name: Map. */
        public const string TypeNameMap = "Map";
    }
}
